Subject: bug#23231: Modeline popup menus appear below emacs window (off sceen)

From: Lars Hupfeldt Nielsen <[email-masked]>
Date: Wed, 6 Apr 2016 21:00:20 +0200

Hi Martin,

I guess I should read the entire email before replying.

Tooltips are actually misplaced too, I did not notice that because I have
turned the toolbar off. The further to the right the tool button is, the
longer the distance to the tooltip becomes.

This happens with no emacs configuration (I hid my .emacs.d).
I'm using a macbook pro with retina display 2800*1800, I don't remember
setting any dpi scaling.

This was working earlier, unfortunately I'm not sure exactly when it broke.

Regards / Venlig Hilsen
Lars Hupfeldt Nielsen
Hupfeldt IT

Phone: +45 2060 3546

2016-04-06 20:52 GMT+02:00 Lars Hupfeldt Nielsen <[email-masked]>:

> Hi Martin,
>
> This is a click in the mode-line.
>
> Regards / Venlig Hilsen
> Lars Hupfeldt Nielsen
> Hupfeldt IT
>
> Phone: +45 2060 3546
>
> 2016-04-06 19:53 GMT+02:00 martin rudalics <[email-masked]>:
>
>> > # /usr/bin/emacs -Q
>> >
>> > left-click '(Lisp Interaction)'
>>
>> Is this a click on the 'Lisp Interaction' menu bar item or a click to
>> get the 'Lisp Interaction' popup menu?
>>
>> > ------------------------------------------
>> >
>> > The popup menu appears with the top just visible at the bottom of the
>> > screen. Resizing the emacs window approximately to the top half of the
>> > screen will make the menu visible far below the main emacs window.
>> > All modeline menus behave this way.
>>
>> Are tooltips positioned correctly?  Do you have DPI scaling turned on?
>>
>> Thanks, martin
>>
>
>